Subject: Support for Intel 82598EB 10-Gigabit AT2 Server Adapter

From: Jesper Krogh <[email-masked]>
Date: Fri, 04 Dec 2009 18:33:25 +0100

Hi.

I just got two Intel 82598EB 10-Gigabit AT2 Server Adapter i sort of
assumed that they "just worked" since I have a AF-adapter (SR-fiber),
that works flawlessly and it it "just another media" in the other end.

But as of 2.6.31.6 the pci-ids is not registered in modules.pcimap

82:00.0 0200: 8086:150b (rev 01)
84:00.0 Ethernet controller: Intel Corporation 82598EB 10-Gigabit AT2
Server Adapter (rev 01)

And the adapter does not produce any ethX interfaces for usage when the
ixgbe drivers is loaded.

Is it as simple as just adding the identifiers to the module-map or is
there a patch flying around somewhere?

Thanks.

Jesper